import React, { useEffect } from "react";
import { NavigationContainer } from "@react-navigation/native";
import { Platform } from "react-native";
import { SafeAreaProvider } from "react-native-safe-area-context";
import AppNavigator from "./src/navigation/AppNavigator";

export default function App() {
  useEffect(() => {
    if (Platform.OS === "web") {
      // Fix scroll bị chặn trên web
      document.body.style.overflow = "auto";
      document.documentElement.style.overflow = "auto";
    }
  }, []);
  return (
    <SafeAreaProvider>
      <NavigationContainer>
        <AppNavigator />
      </NavigationContainer>
    </SafeAreaProvider>
  );
}
